import Umzug from "umzug";
declare class Database {
    connection: any;
    model: any;
    /**
     * Set up the database connection.
     * @param  {Object} config
     * @return {void}
     */
    setUp(config: any): Promise<void>;
    /**
     * Paginate all webhooks.
     * @param  {Object} params
     * @return {Object}
     */
    paginate(params: any): any;
    /**
     * Get a webhook for the given id.
     * @param  {Number} id
     * @return {Object}
     */
    findById(id: any): any;
    /**
     * Get all webhooks for the given event.
     * @param  {String} event
     * @return {Array}
     */
    findByEvent(event: any): any;
    /**
     * Store a new webhook.
     * @param  {Object} data
     * @return {Object}
     */
    create(data: any): any;
    /**
     * Update the webhook for the given id.
     * @param  {Number} id
     * @param  {Object} data
     * @return {Boolean}
     */
    update(id: any, data: any): Promise<boolean>;
    /**
     * Destroy the webhook for the given id.
     * @param  {Number} id
     * @return {Boolean}
     */
    destroy(id: any): Promise<boolean>;
    /**
     * Run all migrations.
     * @return {Boolean}
     */
    __runMigrations(): Promise<Umzug.Migration[]>;
    /**
     * Register all models.
     * @return {void}
     */
    __registerModels(): void;
}
export declare const database: Database;
export {};
