import Boom from "boom";
/**
 * @type {Object}
 */
declare const index: {
    /**
     * @param  {Hapi.Request} request
     * @param  {Hapi.Toolkit} h
     * @return {Hapi.Response}
     */
    handler(request: any, h: any): Promise<{
        results: any;
        totalCount: any;
    }>;
};
/**
 * @type {Object}
 */
declare const store: {
    /**
     * @param  {Hapi.Request} request
     * @param  {Hapi.Toolkit} h
     * @return {Hapi.Response}
     */
    handler(request: any, h: any): Promise<any>;
    options: {
        plugins: {
            pagination: {
                enabled: boolean;
            };
        };
        validate: {
            payload: {
                event: import("joi").StringSchema;
                target: import("joi").StringSchema;
                enabled: import("joi").BooleanSchema;
                conditions: import("joi").ArraySchema;
            };
        };
    };
};
/**
 * @type {Object}
 */
declare const show: {
    /**
     * @param  {Hapi.Request} request
     * @param  {Hapi.Toolkit} h
     * @return {Hapi.Response}
     */
    handler(request: any, h: any): Promise<Boom<null> | {
        data: {
            id: any;
            event: any;
            target: any;
            token: any;
            enabled: any;
            conditions: any;
        };
    }>;
    options: {
        validate: {
            params: {
                id: import("joi").StringSchema;
            };
        };
    };
};
/**
 * @type {Object}
 */
declare const update: {
    /**
     * @param  {Hapi.Request} request
     * @param  {Hapi.Toolkit} h
     * @return {Hapi.Response}
     */
    handler(request: any, h: any): Promise<any>;
    options: {
        validate: {
            params: {
                id: import("joi").StringSchema;
            };
            payload: {
                event: import("joi").StringSchema;
                target: import("joi").StringSchema;
                enabled: import("joi").BooleanSchema;
                conditions: import("joi").ArraySchema;
            };
        };
    };
};
/**
 * @type {Object}
 */
declare const destroy: {
    /**
     * @param  {Hapi.Request} request
     * @param  {Hapi.Toolkit} h
     * @return {Hapi.Response}
     */
    handler(request: any, h: any): Promise<any>;
    options: {
        validate: {
            params: {
                id: import("joi").StringSchema;
            };
        };
    };
};
export { index, store, show, update, destroy };
