"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const joi_1 = __importDefault(require("joi"));
const conditions = [
    "between",
    "contains",
    "eq",
    "falsy",
    "gt",
    "gte",
    "lt",
    "lte",
    "ne",
    "not-between",
    "regexp",
    "truthy",
];
const index = {
    query: {
        page: joi_1.default.number()
            .integer()
            .positive(),
        limit: joi_1.default.number()
            .integer()
            .positive(),
    },
};
exports.index = index;
const show = {
    params: {
        id: joi_1.default.string(),
    },
};
exports.show = show;
const store = {
    payload: {
        event: joi_1.default.string().required(),
        target: joi_1.default.string()
            .required()
            .uri(),
        enabled: joi_1.default.boolean().default(true),
        conditions: joi_1.default.array().items(joi_1.default.object({
            key: joi_1.default.string(),
            value: joi_1.default.any(),
            condition: joi_1.default.string().valid(conditions),
        })),
    },
};
exports.store = store;
const update = {
    params: {
        id: joi_1.default.string(),
    },
    payload: {
        event: joi_1.default.string(),
        target: joi_1.default.string().uri(),
        enabled: joi_1.default.boolean(),
        conditions: joi_1.default.array().items(joi_1.default.object({
            key: joi_1.default.string(),
            value: joi_1.default.any(),
            condition: joi_1.default.string().valid(conditions),
        })),
    },
};
exports.update = update;
const destroy = {
    params: {
        id: joi_1.default.string(),
    },
};
exports.destroy = destroy;
//# sourceMappingURL=schema.js.map