import Boom from "boom";
/**
 * Transform the given data into a resource.
 * @param  {Hapi.Request} request
 * @param  {Object} data
 * @return {Object}
 */
declare const transformResource: (request: any, data: any) => {
    id: any;
    event: any;
    target: any;
    token: any;
    enabled: any;
    conditions: any;
};
/**
 * Transform the given data into a collection.
 * @param  {Hapi.Request} request
 * @param  {Object} data
 * @return {Array}
 */
declare const transformCollection: (request: any, data: any) => any;
/**
 * Create a pagination object for the request.
 * @param  {Hapi.Request} request
 * @return {Object}
 */
declare const paginate: (request: any) => {
    offset: number;
    limit: any;
};
/**
 * Respond with a resource.
 * @param  {Hapi.Request} request
 * @param  {Object} data
 * @return {Hapi.Response}
 */
declare const respondWithResource: (request: any, data: any) => Boom<null> | {
    data: {
        id: any;
        event: any;
        target: any;
        token: any;
        enabled: any;
        conditions: any;
    };
};
/**
 * Respond with a collection.
 * @param  {Hapi.Request} request
 * @param  {Object} data
 * @return {Object}
 */
declare const respondWithCollection: (request: any, data: any) => {
    data: any;
};
/**
 * Alias of "transformResource".
 * @param  {Hapi.Request} request
 * @param  {Object} data
 * @return {Hapi.Response}
 */
declare const toResource: (request: any, data: any) => {
    id: any;
    event: any;
    target: any;
    token: any;
    enabled: any;
    conditions: any;
};
/**
 * Alias of "transformCollection".
 * @param  {Hapi.Request} request
 * @param  {Object} data
 * @return {Hapi.Response}
 */
declare const toCollection: (request: any, data: any) => any;
/**
 * Transform the given data into a pagination.
 * @param  {Hapi.Request} request
 * @param  {Object} data
 * @return {Hapi.Response}
 */
declare const toPagination: (request: any, data: any) => {
    results: any;
    totalCount: any;
};
export { transformResource, transformCollection, paginate, respondWithResource, respondWithCollection, toResource, toCollection, toPagination, };
